Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLTableCellElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLTableCellElement
extends HTMLElement

The object used to represent the `TH` and `TD` elements. See the TD element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAbbr()` Abbreviation for header cells.
`java.lang.String` | `getAlign()` Horizontal alignment of data in cell.
`java.lang.String` | `getAxis()` Names group of related headers.
`java.lang.String` | `getBgColor()` Cell background color.
`int` | `getCellIndex()` The index of this cell in the row.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`int` | `getColSpan()` Number of columns spanned by cell.
`java.lang.String` | `getHeaders()` List of `id` attribute values for header cells.
`java.lang.String` | `getHeight()` Cell height.
`boolean` | `getNoWrap()` Suppress word wrapping.
`int` | `getRowSpan()` Number of rows spanned by cell.
`java.lang.String` | `getScope()` Scope covered by header cells.
`java.lang.String` | `getVAlign()` Vertical alignment of data in cell.
`java.lang.String` | `getWidth()` Cell width.
`void` | `setAbbr(java.lang.String abbr)`
`void` | `setAlign(java.lang.String align)`
`void` | `setAxis(java.lang.String axis)`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setCellIndex(int cellIndex)`
`void` | `setCh(java.lang.String ch)`
`void` | `setChOff(java.lang.String chOff)`
`void` | `setColSpan(int colSpan)`
`void` | `setHeaders(java.lang.String headers)`
`void` | `setHeight(java.lang.String height)`
`void` | `setNoWrap(boolean noWrap)`
`void` | `setRowSpan(int rowSpan)`
`void` | `setScope(java.lang.String scope)`
`void` | `setVAlign(java.lang.String vAlign)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getCellIndex

    public int getCellIndex()

  The index of this cell in the row.

### setCellIndex

    public void setCellIndex(int cellIndex)

### getAbbr

    public java.lang.String getAbbr()

  Abbreviation for header cells. See the abbr attribute definition in HTML 4.0.

### setAbbr

    public void setAbbr(java.lang.String abbr)

### getAlign

    public java.lang.String getAlign()

  Horizontal alignment of data in cell. See the align attribute definition in HTML 4.0.

### setAlign

    public void setAlign(java.lang.String align)

### getAxis

    public java.lang.String getAxis()

  Names group of related headers. See the axis attribute definition in HTML 4.0.

### setAxis

    public void setAxis(java.lang.String axis)

### getBgColor

    public java.lang.String getBgColor()

  Cell background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setBgColor

    public void setBgColor(java.lang.String bgColor)

### getCh

    public java.lang.String getCh()

  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

### setCh

    public void setCh(java.lang.String ch)

### getChOff

    public java.lang.String getChOff()

  Offset of alignment character. See the charoff attribute definition in HTML 4.0.

### setChOff

    public void setChOff(java.lang.String chOff)

### getColSpan

    public int getColSpan()

  Number of columns spanned by cell. See the colspan attribute definition in HTML 4.0.

### setColSpan

    public void setColSpan(int colSpan)

### getHeaders

    public java.lang.String getHeaders()

  List of `id` attribute values for header cells. See the headers attribute definition in HTML 4.0.

### setHeaders

    public void setHeaders(java.lang.String headers)

### getHeight

    public java.lang.String getHeight()

  Cell height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHeight

    public void setHeight(java.lang.String height)

### getNoWrap

    public boolean getNoWrap()

  Suppress word wrapping. See the nowrap attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setNoWrap

    public void setNoWrap(boolean noWrap)

### getRowSpan

    public int getRowSpan()

  Number of rows spanned by cell. See the rowspan attribute definition in HTML 4.0.

### setRowSpan

    public void setRowSpan(int rowSpan)

### getScope

    public java.lang.String getScope()

  Scope covered by header cells. See the scope attribute definition in HTML 4.0.

### setScope

    public void setScope(java.lang.String scope)

### getVAlign

    public java.lang.String getVAlign()

  Vertical alignment of data in cell. See the valign attribute definition in HTML 4.0.

### setVAlign

    public void setVAlign(java.lang.String vAlign)

### getWidth

    public java.lang.String getWidth()

  Cell width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setWidth

    public void setWidth(java.lang.String width)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD